<template>
  <div class="main artist-profile-section" :class="{ mobile: isMobileGlobal() }">
    <a-breadcrumb v-if="!isMobileGlobal()">
      <a-breadcrumb-item>
        <router-link to="/home">Home</router-link>
      </a-breadcrumb-item>
      <a-breadcrumb-item>Artist</a-breadcrumb-item>
    </a-breadcrumb>
    <div class="profile text-while mt-5 mb-4" v-if="!isMobileGlobal()">
      <div class="d-flex">
        <div class="wrap-avatar">
          <div class="wrap-image square">
            <img src="photo-album.jpg" />
          </div>
        </div>
        <div class="pl-3">
          <h2 class="name">
            Monstercat
            <a-icon class="ml-2" type="setting" />
          </h2>
          <p>
            Empowering a creative and passionate community through innovation.<br />
            Welcome to the Family.
          </p>
          <div class="d-flex yellow">
            <div>Followers/ 1.05M</div>
            <div>Following / 66</div>
            <div>Tracks/ 2,458</div>
            <div class="mr-auto"></div>
          </div>
        </div>
      </div>
    </div>
    <a-row class="upload-btn-wrap pb-2" v-if="isMobileGlobal()">
      <a-col class="d-flex justify-content-end">
        <div class="d-flex align-item-center justify-content-center py-1" @click="goUpload">
          <button>Upload</button>
        </div>
      </a-col>
    </a-row>
    <div class="tab">
      <a-tabs default-active-key="1">
        <a-tab-pane key="1" tab="All">
          <a-list item-layout="horizontal" :data-source="data">
            <a-list-item slot="renderItem" slot-scope="item, index" @click="play">
              <a-list-item-meta description="Unlike Pluto - Everything Black (feat. Mike Taylor)">
                <a slot="title" href="https://www.antdv.com/">{{ item.title }}</a>
                <a-avatar slot="avatar" src="https://i.scdn.co/image/ab67706f000000028fe260052e95492c1d7e60f7" />
              </a-list-item-meta>
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="like" />26</div></a
              >
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="play-circle" />253</div></a
              >
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="share-alt" />17</div></a
              >
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="cloud-download" />7</div></a
              >
            </a-list-item>
          </a-list>
        </a-tab-pane>
        <a-tab-pane key="2" tab="Popular tracks" force-render>
          <a-list item-layout="horizontal" :data-source="data">
            <a-list-item slot="renderItem" slot-scope="item, index" @click="play">
              <a-list-item-meta description="Unlike Pluto - Everything Black (feat. Mike Taylor)">
                <a slot="title" href="https://www.antdv.com/">{{ item.title }}</a>
                <a-avatar slot="avatar" src="https://i.scdn.co/image/ab67706f000000028fe260052e95492c1d7e60f7" />
              </a-list-item-meta>
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="like" />26</div></a
              >
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="play-circle" />253</div></a
              >
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="share-alt" />17</div></a
              >
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="cloud-download" />7</div></a
              >
            </a-list-item>
          </a-list>
        </a-tab-pane>
        <a-tab-pane key="3" tab="Tracks">
          <a-list item-layout="horizontal" :data-source="data">
            <a-list-item slot="renderItem" slot-scope="item, index" @click="play">
              <a-list-item-meta description="Unlike Pluto - Everything Black (feat. Mike Taylor)">
                <a slot="title" href="https://www.antdv.com/">{{ item.title }}</a>
                <a-avatar slot="avatar" src="https://i.scdn.co/image/ab67706f000000028fe260052e95492c1d7e60f7" />
              </a-list-item-meta>
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="like" />26</div></a
              >
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="play-circle" />253</div></a
              >
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="share-alt" />17</div></a
              >
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="cloud-download" />7</div></a
              >
            </a-list-item>
          </a-list>
        </a-tab-pane>
        <a-tab-pane key="4" tab="Albums">
          <a-list item-layout="horizontal" :data-source="data">
            <a-list-item slot="renderItem" slot-scope="item, index" @click="play">
              <a-list-item-meta description="Unlike Pluto - Everything Black (feat. Mike Taylor)">
                <a slot="title" href="https://www.antdv.com/">{{ item.title }}</a>
                <a-avatar slot="avatar" src="https://i.scdn.co/image/ab67706f000000028fe260052e95492c1d7e60f7" />
              </a-list-item-meta>
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="like" />26</div></a
              >
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="play-circle" />253</div></a
              >
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="share-alt" />17</div></a
              >
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="cloud-download" />7</div></a
              >
            </a-list-item>
          </a-list>
        </a-tab-pane>
        <a-tab-pane key="5" tab="Sound effect">
          <a-list item-layout="horizontal" :data-source="data">
            <a-list-item slot="renderItem" slot-scope="item, index" @click="play">
              <a-list-item-meta description="Unlike Pluto - Everything Black (feat. Mike Taylor)">
                <a slot="title" href="https://www.antdv.com/">{{ item.title }}</a>
                <a-avatar slot="avatar" src="https://i.scdn.co/image/ab67706f000000028fe260052e95492c1d7e60f7" />
              </a-list-item-meta>
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="like" />26</div></a
              >
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="play-circle" />253</div></a
              >
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="share-alt" />17</div></a
              >
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="cloud-download" />7</div></a
              >
            </a-list-item>
          </a-list>
        </a-tab-pane>
        <a-tab-pane key="6" tab="Shopping">
          <a-list item-layout="horizontal" :data-source="data">
            <a-list-item slot="renderItem" slot-scope="item, index" @click="play">
              <a-list-item-meta description="Unlike Pluto - Everything Black (feat. Mike Taylor)">
                <a slot="title" href="https://www.antdv.com/">{{ item.title }}</a>
                <a-avatar slot="avatar" src="https://i.scdn.co/image/ab67706f000000028fe260052e95492c1d7e60f7" />
              </a-list-item-meta>
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="like" />26</div></a
              >
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="play-circle" />253</div></a
              >
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="share-alt" />17</div></a
              >
              <a slot="actions"
                ><div class="action"><a-icon class="mr-2" type="cloud-download" />7</div></a
              >
            </a-list-item>
          </a-list>
        </a-tab-pane>
      </a-tabs>
    </div>
  </div>
</template>

<script>
const data = [
  {
    title: "Monstercat"
  },
  {
    title: "Monstercat"
  },
  {
    title: "Monstercat"
  },
  {
    title: "Monstercat"
  }
];
export default {
  data() {
    return {
      data
    };
  },
  methods: {
    play() {
      this.$store.dispatch("player/playMusic", {
        url: "luis_fonsi.mp3",
        title: "Despacito",
        artist: "Luis Fonsi",
        photo: "thumb.jpg"
      });
    },
    goUpload(){
      this.$router.push('/upload-music').catch((err) => {});
    }
  }
};
</script>

<style scoped>
.wrap-avatar {
  width: 150px;
  max-width: 100%;
}

.yellow {
  color: #b9b972;
}

* /deep/ .ant-tabs-nav .ant-tabs-tab-active {
  color: white;
}

* /deep/ .ant-tabs-ink-bar {
  background-color: white;
}

* /deep/ .ant-tabs {
  color: rgba(255, 255, 255, 0.65);
}
.action {
  color: white;
  font-size: 14px;
  font-weight: 300;
  padding: 0 3px;
}
* /deep/.ant-list-item {
  cursor: pointer;
}
.upload-btn-wrap > div > div {
  background: #1DB954;
  border-radius: 2px;
  width: 80px;
}
.upload-btn-wrap button {
  background: none;
  border: none;
  outline: none;
}


/* Mobile Style */
.mobile {
  padding-right: 0;
  padding-left: 0;
}
.mobile .ant-tabs >>> .ant-tabs-nav {
  border: none;
}
.mobile .ant-tabs >>> .ant-tabs-tab-arrow-show i {
  font-size: 20px;
  color: #fff;
}
.mobile .ant-tabs >>> .ant-tabs-tab-prev {
  margin-left: -10px;
}
.mobile .ant-tabs >>> .ant-tabs-tab-next {
  margin-right: -10px;
}
.mobile .ant-tabs >>> .ant-tabs-nav .ant-tabs-tab {
  width: unset !important;
  padding: 0 12px !important;
}
.mobile .ant-tabs >>> .ant-tabs-nav-container {
  padding: 0;
}
</style>
